Package org.springframework.security.config.annotation.web.configurers.saml2

# Class Saml2LogoutConfigurer.LogoutRequestConfigurer

java.lang.Object
org.springframework.security.config.annotation.web.configurers.saml2.Saml2LogoutConfigurer.LogoutRequestConfigurer

Enclosing class:
  Saml2LogoutConfigurer<H extends HttpSecurityBuilder<H>>

public final class Saml2LogoutConfigurer.LogoutRequestConfigurer extends Object
A configurer for SAML 2.0 LogoutRequest components

## Method Summary

Modifier and Type
Method
Description
`Saml2LogoutConfigurer<H>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`Saml2LogoutConfigurer<H>.LogoutRequestConfigurer`
`logoutRequestRepository(org.springframework.security.saml2.provider.service.web.authentication.logout.Saml2LogoutRequestRepository logoutRequestRepository)`
Use this `Saml2LogoutRequestRepository` for storing logout requests
`Saml2LogoutConfigurer<H>.LogoutRequestConfigurer`
`logoutRequestResolver(org.springframework.security.saml2.provider.service.web.authentication.logout.Saml2LogoutRequestResolver logoutRequestResolver)`
Use this `Saml2LogoutRequestResolver` for producing a logout request to send to the asserting party
`Saml2LogoutConfigurer<H>.LogoutRequestConfigurer`
`logoutRequestValidator(org.springframework.security.saml2.provider.service.authentication.logout.Saml2LogoutRequestValidator authenticator)`
Use this `LogoutHandler` for processing a logout request from the asserting party
`Saml2LogoutConfigurer<H>.LogoutRequestConfigurer`
`logoutUrl(String logoutUrl)`
The URL by which the asserting party can send a SAML 2.0 Logout Request

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### logoutUrl

public Saml2LogoutConfigurer<H>.LogoutRequestConfigurer logoutUrl(String logoutUrl)
The URL by which the asserting party can send a SAML 2.0 Logout Request

The Asserting Party should use whatever HTTP method specified in `RelyingPartyRegistration.getSingleLogoutServiceBindings()`.

Parameters:
  `logoutUrl` - the URL that will receive the SAML 2.0 Logout Request
Returns:
  the `Saml2LogoutConfigurer<H extends HttpSecurityBuilder<H>>.LogoutRequestConfigurer` for further customizations
See Also:
  - `Saml2LogoutConfigurer.logoutUrl(String)`

### logoutRequestValidator

public Saml2LogoutConfigurer<H>.LogoutRequestConfigurer logoutRequestValidator(org.springframework.security.saml2.provider.service.authentication.logout.Saml2LogoutRequestValidator authenticator)
Use this `LogoutHandler` for processing a logout request from the asserting party

Parameters:
  `authenticator` - the `Saml2LogoutRequestValidator` to use
Returns:
  the `Saml2LogoutConfigurer<H extends HttpSecurityBuilder<H>>.LogoutRequestConfigurer` for further customizations

### logoutRequestResolver

public Saml2LogoutConfigurer<H>.LogoutRequestConfigurer logoutRequestResolver(org.springframework.security.saml2.provider.service.web.authentication.logout.Saml2LogoutRequestResolver logoutRequestResolver)
Use this `Saml2LogoutRequestResolver` for producing a logout request to send to the asserting party

Parameters:
  `logoutRequestResolver` - the `Saml2LogoutRequestResolver` to use
Returns:
  the `Saml2LogoutConfigurer<H extends HttpSecurityBuilder<H>>.LogoutRequestConfigurer` for further customizations

### logoutRequestRepository

public Saml2LogoutConfigurer<H>.LogoutRequestConfigurer logoutRequestRepository(org.springframework.security.saml2.provider.service.web.authentication.logout.Saml2LogoutRequestRepository logoutRequestRepository)
Use this `Saml2LogoutRequestRepository` for storing logout requests

Parameters:
  `logoutRequestRepository` - the `Saml2LogoutRequestRepository` to use
Returns:
  the `Saml2LogoutConfigurer<H extends HttpSecurityBuilder<H>>.LogoutRequestConfigurer` for further customizations

### and

@Deprecated(since="6.1", forRemoval=true) public Saml2LogoutConfigurer<H> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `Saml2LogoutConfigurer.logoutRequest(Customizer)` or `logoutRequest(Customizer.withDefaults())` to stick with defaults. See the documentation for more details.